Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 928115

Summary: media-libs/lastfmlib: last rites
Product: Gentoo Linux Reporter: NHO <jy6x2b32pie9>
Component: Current packagesAssignee: Gentoo Sound Team <sound>
Status: RESOLVED FIXED    
Severity: normal CC: jstein
Priority: Normal Keywords: PMASKED
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description NHO 2024-03-29 09:20:00 UTC
lastfmlib is 15 years old API library or last.fm
It's unmaintained.
Since then, last.fm switched APIs at least once.
It's only takes space in tree. Should be removed.

Reproducible: Always
Comment 1 Larry the Git Cow gentoo-dev 2024-04-03 05:10:59 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a56f53313c576244d9c4dab4577c5b554d828298

commit a56f53313c576244d9c4dab4577c5b554d828298
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2024-03-29 09:32:21 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2024-04-03 05:10:36 +0000

    media-libs/lastfmlib: update EAPI 7 -> 8, wire up & fix tests
    
    That said, we should really last-rite this anyway, per bug #928115, it's
    just that I started working on this before I noticed that bug...
    
    Bug: https://bugs.gentoo.org/928115
    Closes: https://bugs.gentoo.org/889298
    Signed-off-by: Sam James <sam@gentoo.org>

 .../files/lastfmlib-0.4.0-autotools-tests.patch    | 31 ++++++++++++++
 .../files/lastfmlib-0.4.0-out-of-bounds-trim.patch | 24 +++++++++++
 media-libs/lastfmlib/lastfmlib-0.4.0-r2.ebuild     | 50 ++++++++++++++++++++++
 3 files changed, 105 insertions(+)
Comment 2 Larry the Git Cow gentoo-dev 2024-05-06 06:13:59 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=01790f13f0487ea5fb8356882ffb733b2714e80e

commit 01790f13f0487ea5fb8356882ffb733b2714e80e
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2024-05-06 06:12:17 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2024-05-06 06:12:22 +0000

    package.mask: Last rite media-libs/lastfmlib
    
    Bug: https://bugs.gentoo.org/891297
    Bug: https://bugs.gentoo.org/896240
    Bug: https://bugs.gentoo.org/896242
    Bug: https://bugs.gentoo.org/919820
    Bug: https://bugs.gentoo.org/928115
    Signed-off-by: Sam James <sam@gentoo.org>

 profiles/package.mask | 5 +++++
 1 file changed, 5 insertions(+)
Comment 3 Larry the Git Cow gentoo-dev 2024-06-07 18:25:50 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a027a727af52f0f14622e47eb209bff8fa4684aa

commit a027a727af52f0f14622e47eb209bff8fa4684aa
Author:     Arthur Zamarin <arthurzam@gentoo.org>
AuthorDate: 2024-06-07 18:25:35 +0000
Commit:     Arthur Zamarin <arthurzam@gentoo.org>
CommitDate: 2024-06-07 18:25:35 +0000

    media-libs/lastfmlib: treeclean
    
    Closes: https://bugs.gentoo.org/928115
    Bug: https://bugs.gentoo.org/891297
    Bug: https://bugs.gentoo.org/896240
    Bug: https://bugs.gentoo.org/896242
    Bug: https://bugs.gentoo.org/919820
    Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>

 media-libs/lastfmlib/Manifest                      |  1 -
 .../files/lastfmlib-0.4.0-autotools-tests.patch    | 31 --------------
 .../files/lastfmlib-0.4.0-out-of-bounds-trim.patch | 24 -----------
 .../files/lastfmlib-0.4.0-string-conv.patch        | 20 ---------
 media-libs/lastfmlib/lastfmlib-0.4.0-r1.ebuild     | 34 ---------------
 media-libs/lastfmlib/lastfmlib-0.4.0-r2.ebuild     | 50 ----------------------
 media-libs/lastfmlib/metadata.xml                  | 11 -----
 profiles/package.mask                              |  5 ---
 8 files changed, 176 deletions(-)